play.application.loader = us.solute.trackservice.impl.TrackServiceLoader

track-service.cassandra.keyspace = track_service

cassandra-journal.keyspace = ${track-service.cassandra.keyspace}
cassandra-query-journal {
  eventual-consistency-delay = 100ms
  delayed-event-timeout = 30s
}

cassandra-journal {
  pubsub-minimum-interval = 100ms
}

cassandra-snapshot-store.keyspace = ${track-service.cassandra.keyspace}
lagom.persistence.read-side.cassandra.keyspace = ${track-service.cassandra.keyspace}
lagom.persistence.ask-timeout = 50s
//play.application.loader = com.lightbend.lagom.recipes.corsscala.impl.CorsscalaLoader
akka.cluster.sharding.state-store-mode = ddata
//play.filters.cors {
//  // review the values of all these settings to fulfill your needs. These values are not meant for production.
//  pathPrefixes = ["/api"]
//  allowedOrigins = null
//  allowedHttpMethods = null
//  allowedHttpHeaders = null
//  exposedHeaders = []
//  supportsCredentials = false
//  preflightMaxAge = 6 hour
//}
play.filters.cors {

  # The path prefixes to filter.
  pathPrefixes = [""]

  # The allowed origins. If null, all origins are allowed.
  allowedOrigins = null

  # The allowed HTTP methods. If null, all methods are allowed
  allowedHttpMethods = null

  # The allowed HTTP headers. If null, all headers are allowed.
  allowedHttpHeaders = null

  # The exposed headers
  exposedHeaders = []

  # Whether to support credentials
  supportsCredentials = true

  # The maximum amount of time the CORS meta data should be cached by the client
  preflightMaxAge = 1 hour

  # Whether to serve forbidden origins as non-CORS requests
  serveForbiddenOrigins = false
}
# The properties below override Lagom default configuration with the recommended values for new projects.
#
# Lagom has not yet made these settings the defaults for backward-compatibility reasons.

# Prefer 'ddata' over 'persistence' to share cluster sharding state for new projects.
# See https://doc.akka.io/docs/akka/current/cluster-sharding.html#distributed-data-vs-persistence-mode
